Xcode et snow leopard

polaroid62

Membre confirmé
11 Janvier 2006
170
0
36
nord
Y a t-il une possibilité d'installer xcode 4.1 ou 4.2 sur un mbp équipé de snow leopard ? Si quelqu'un a une bidouille en affichant le contenu du paquet ou quoi , j'ai déjà fait de même pour installer Logic studio 9 sur un power mac G4 qui ne devait à la base pas le supporter donc je me demandais si il existait une manip similaire pour xcode car là je seche.
 

ntx

Vénérable sage
Club MacG
15 Octobre 2004
12 053
370
92
Vu que Xcode 4.1 (et supérieur) utilise la fonction de Lion pour gérer l'historique des documents, fonction absente de Snow Leopard ... Tu peux imaginer la réponse :rateau:
Il y a une différence entre une limitation matérielle comme une fréquence de processeur minimale pour que cela fonctionne à peu près correctement et qui peut être contournée si tu acceptes une baisse du confort d'utilisation, et une limitation logicielle du à l'OS et des API manquantes.
 

ntx

Vénérable sage
Club MacG
15 Octobre 2004
12 053
370
92
Effectivement il faut un accès payant. Avais-tu acheté Xcode 4.0 pour SL ? :confused: Dans ce cas je suppose qu'Apple à continuer à faire le support pour la 4.1 et la 4.2. Dans ce cas ils ne s'en sont pas vantés. :D
 

gwenzzz

Nouveau membre
1 Novembre 2011
6
1
Non non, je l'ai juste récupéré via le compte dev payant qu'on utilise au boulot (programme entreprise). On a jamais acheté xcode via le mac app store.
Sûrement un "privilège" temporaire accordé aux utilisateurs payants le temps qu'on fasse migrer notre parc de macs :)
 

gwenzzz

Nouveau membre
1 Novembre 2011
6
1
C'est tout à fait ça, c'est un lien vers un .dmg depuis le portail dev d'apple avec un compte payant.
Peut être ce lien n'apparait-il que si on s'y connecte avec SL.
Cette version n'est à priori pas dispo via la mac app store.